TSHTTPTXNCACHELOOKUPURLGET(3ts)

NAME
TSHttpTxnCacheLookupUrlGet - TSHttpTxnCacheLookupUrlGet API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSHttpTxnCacheLookupUrlGet(TSHttpTxn txnp, TSMBuffer bufp, TSMLoc offset)

DESCRIPTION

Get the current cache key URL, also referred to as the lookup URL. This must be stored in a properly allocated URL object, typically created with a TSUrlCreate().

TSHTTPTXNCACHELOOKUPURLSET

  Synopsis

            #include <ts/ts.h>

    TSReturnCode TSHttpTxnCacheLookupUrlSet(TSHttpTxn txnp, TSMBuffer bufp, TSMLoc offset)

  Description

Set the current cache key URL, also referred to as the lookup URL. This must be stored in a properly allocated URL object, typically created with a TSUrlCreate() or TSUrlClone().

This API can be called as early as TS_HTTP_READ_REQUEST_HDR_HOOK but no later than TS_HTTP_POST_REMAP_HOOK. This is the preferred and most efficient way to modify the cache key, but an alternative is to use the old TSCacheUrlSet(), which takes a simple string as argument.

COPYRIGHT
2025, dev@trafficserver.apache.org